#
# spec file for package python-croniter
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-croniter
Version:        0.3.17
Release:        lp150.1.3
Summary:        Croniter provides iteration for datetime object with cron like format
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/kiorky/croniter
Source:         https://files.pythonhosted.org/packages/source/c/croniter/croniter-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
# Test requirements:
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module python-dateutil}
BuildRequires:  %{python_module pytz}
Requires:       python-python-dateutil
BuildArch:      noarch

%python_subpackages

%description
croniter provides iteration for datetime object with cron like format.

%prep
%setup -q -n croniter-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec %{_bindir}/nosetests

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst docs/LICENSE
%{python_sitelib}/*

%changelog
* Fri Aug 25 2017 tbechtold@suse.com
- update to 0.3.17:
  - DOW occurence sharp style support.
  - Better test suite
  - DST support
  - fix bug around multiple conditions and range_val in
    _get_prev_nearest_diff.
  - issue #69: added day_or option to change behavior when day-of-month and
    day-of-week is given
  - `Real fix for #34
  - `Modernize test infra
  - `Release as a universal wheel
  - `Raise ValueError on negative numbers
  - `Compare types using "issubclass" instead of exact match
  - `Implement step cron with a variable base
- convert to singlespec
* Tue Nov 15 2016 dmueller@suse.com
- update to 0.3.12
* Wed Apr 13 2016 dmueller@suse.com
- switch to python-python-dateutil
* Mon Sep 15 2014 tbechtold@suse.com
- update to version 0.3.5:
  * support for 'l' (last day of month)
* Fri Mar  7 2014 speilicke@suse.com
- Package docs/LICENSE
* Fri Mar  7 2014 speilicke@suse.com
- Fix requirement on python-dateutil (not python-python-dateutil as upstream)
* Fri Mar  7 2014 speilicke@suse.com
- Initial version
